# my_settings.py
# Small library of predefined settings

from scm.plams import *

# Simple immutable settings:

def dftb_GO_plus_excitations():
  sett = Settings()
  sett.input.Task.RunType = 'GO'
  sett.input.DFTB.ResourcesDir = 'QUASINANO2015'
  sett.input.Properties.Excitations.TDDFTB.calc = 'singlet'
  sett.input.Properties.Excitations.TDDFTB.lowest = 10
  return sett

# You can improve flexibility by having optional arguments:

def adf_GO(basis='TZP', XC='GGA PBE'):
  sett = Settings()
  sett.input.Basis.Type = basis
  sett.input.XC['_1'] = XC
  sett.input.NumericalQuality = 'Basic'
  sett.input.Geometry
  return sett

def adf_excitations(basis='TZP', XC='GGA PBE', n_excitations=10):
  sett = Settings()
  sett.input.Basis.Type = basis
  sett.input.XC['_1'] = XC
  sett.input.Excitations.lowest = n_excitations
  sett.input.Excitations.OnlySing = ''
  sett.input.NumericalQuality = 'Basic'
  sett.input.Symmetry = 'NoSym'
  return sett